package com.sf.common.utils.file;


import net.glxn.qrgen.core.image.ImageType;
import net.glxn.qrgen.javase.QRCode;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.IOException;

public class QRCodeUtils {

    public static MultipartFile generateQRCode(String data) throws IOException {
        File qrCodeFile = QRCode.from(data).to(ImageType.PNG).file();
        return FileUtils.fileToMultipartFile(qrCodeFile);
    }
}

